## widgets

  The widgets object used in the `options`.

### Properties

buttonsBoolean|Object
  The buttons displayed in the top right corner of the editor window. Accepts either an object consisting of the name of the button and a boolean value indicating whether this button should be displayed. Set to `false` to disable all buttons.

  ##### Type:

  - Boolean | Object

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `maximize` | Boolean | Whether the "maximize" button should be displayed in the editor window.
  `fullscreen` | Boolean | Whether the "fullscreen" button should be displayed in the editor window.

  Default Value:

    -     {maximize: true, fullscreen: true}

cloudStatusObject
  An object which configures the cloud status widget.

  ##### Type:

  - Object

  ##### Properties:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `position` | String | optional | `"bottom-right"` | The position of the cloud status widget. Accepts values "top-right", "bottom-right", "bottom-left", "top-left" as well as "toolbar" to display it in the top-right of the tool bar.

  Default Value:

    -     {position: "bottom-right"}

collabPanelBoolean
  The collaboration panel in the sidebar. Set to `false` to disable the collaboration panel.

  ##### Type:

  - Boolean
  Default Value:

    -     false

pageCountObject|Boolean
  An object which configures the page count area. Set to `false` to disable the page count bar.

  ##### Type:

  - Object | Boolean

  ##### Properties:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `position` | String | optional | `"top-left"` | The position of the page count widget. Accepts values "top-right", "bottom-right", "bottom-left" and "top-left".
  `showCurrent` | Boolean | optional | `false` | Whether to display the current page (on which the caret is located).
  `showTotal` | Boolean | optional | `true` | Whether to display the total number of pages.
  `separator` | String | optional | `L_PAGE_COUNT_SEPARATOR` | The separator displayed between current and total. You can use a string or locale constant.
  `prefix` | String | optional | `L_PAGE_COUNT_PREFIX` | The prefix string to be displayed.

  Default Value:

    -     {showCurrent: true, showTotal: true, position: "bottom-left", separator: "L_PAGE_COUNT_SEPARATOR", prefix: "L_PAGE_COUNT_PREFIX"}

rulerBoolean|Object
  An object which configures the ruler. Set to `false` to disable the ruler.

  ##### Type:

  - Boolean | Object

  ##### Properties:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `unit` | String | optional | `"cm"` | The unit of the ruler. If nothing is specified, it uses the value of `defaultLengthUnit`. If that does not work, it uses "cm". Can be "cm", "mm", "pt", "pc" and "in".
  `guideLines` | Boolean | optional | `true` | Whether guide lines should be shown while changing a margin
  `passive` | Boolean | optional | `false` | Whether the interactivity of the ruler should be disabled. True to hide and disable the drag handles.

  Default Value:

    -     true

searchbarObject|Boolean
  An object which configures the search bar. Set to `false` to disable the search bar.

  ##### Type:

  - Object | Boolean

  ##### Properties:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `position` | String | optional | `"top-left"` | The position of the search bar. Accepts values "top-right", "bottom-right", "bottom-left" and "top-left".
  `simple` | Boolean | optional | `false` | Whether to show a simple search bar or a comprehensive search and replace bar. Overrides components settings when set to `true`.
  `components` | Object | optional |  | Configures which components will be available in the searchbar. ###### Properties
  Name | Type | Argument | Description
  --- | --- | --- | ---
  `replace` | Boolean | optional | Whether to display the replace field and button.
  `replaceAll` | Boolean | optional | Whether to display the replace all button. Requires `replace` to be set to `true`.
  `caseSensitive` | Boolean | optional | Whether the "Case Sensitive" check box will be displayed.
  `wholeWord` | Boolean | optional | Whether the "Whole Words Only" check box will be displayed.
  `ignoreReadonly` | Boolean | optional | Whether the "Ignore Read-Only" check box will be displayed. Requires `replace` to be set to `true`.

  Default Value:

    -     {position: "top-right", simple: false}

sidebarObject|Boolean
  An object which configures the sidebar. Set to `false` to disable the sidebar.

  ##### Type:

  - Object | Boolean

  ##### Properties:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `alwaysOpen` | Boolean | optional | `true` | Whether the side bar will be open when the editor is initialized.

  Default Value:

    -     {alwaysOpen: true}

snippetsString|Object|Boolean
  The snippet panel in the sidebar. Accepts either an object consisting of pairs of the name of the snippet and another object with the snippet data as value or an URL to a JSON of such an object. Dragging the snippet into the editor will insert the specified content at the target position. Set to `false` to disable the snippet panel.

  ##### Type:

  - String | Object | Boolean

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `content` | String |  | The content of the snippet. This must be valid HTML code.
  `iconUrl` | String | optional | An optional URL to an icon that will be displayed.

  Default Value:

    -     false

  ##### Example:

      options.widgets.snippets = {
          "Hello World": {
              content: "<p>Hello World</p>",
              iconUrl: "icons/hello-world.png"
          }
      };

statusMessageObject|Boolean
  An object which configures the status message widget. Set to `false` to disable the status message widget.

  ##### Type:

  - Object | Boolean

  ##### Properties:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `position` | String | optional | `"bottom-left"` | The position of the status message widget.

  Default Value:

    -     {position: "bottom-left"}

  See:
    - `NimbudocsEditor#showStatusMessage`
    - `NimbudocsEditor#hideStatusMessage`
zoomSliderObject|Boolean
  An object which configures the zoom slider. Set to `false` to disable the zoom slider.

  ##### Type:

  - Object | Boolean

  ##### Properties:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `vertical` | Boolean | optional | `false` | Whether the zoom slider should be vertical.
  `position` | String | optional | `"bottom-right"` | The position of the zoom slider. Accepts values "top-right", "bottom-right", "bottom-left" and "top-left".
  `buttonSize` | String | Boolean | optional | `"quick"` | The size of the buttons. Accepts values "quick", "tiny", "small", "medium" and "large". Set this to `false` to disable the buttons.

  Default Value:

    -     {vertical: false, position: "bottom-right", buttonSize: "quick"}